<!DOCTYPE html>
<html>

<head><meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<title>curi.eus</title>
<link rel="shortcut icon" href="favicon.ico" type="image/x-icon">
<link rel="icon" href="favicon.ico" type="image/x-icon">
<style>
body {top: 0; left: 0; width: 99%; height: 97%;
    position: absolute; display: table}
  p {display: table-cell; vertical-align: middle; text-align: center}
</style>
</head>

<p>
<font size="7"><i><b>curi.eus</b></i></font> <br>
<br>
<a> Hola! I'm <b>curi.eus</b>, though most simply call me <b>Eus</b>. <br> I enjoy curating and learning about unique objects; some might say I have a <i>neus</i> for it. </a>
<br>
<br>
<img src="https://curi.eus/images/nimma.png" style="width:560px;"><br>
<br>
<a href="about.html">about</a> //
<a href="blog.html">blog</a> //
<a href="https://instagram.com/curi.eus">instagram</a> //
<a href="contact.html">contact</a>

</body>
</html>
